What must be done: 
* Check Tagloss_cumul() to use hessian or mcmc
* simplify generateCF().
* Return Peak, Begin and End confidence interval based on Omeyer et al. (2022) parametrization.

THIS IS THE CHANGELOG OF THE "phenology" PACKAGE

            CHANGES IN VERSION 2026.8.24 (2026-08-24)

* New CRAN version - 2026.08.24 (2026-08-24)

            CHANGES IN VERSION 2026.8.17 (2026-08-17)

* New CRAN version - 2025.11.12 (2025-11-12)
* Possibility to plot phenology over another one - 2025.11.13 (2025-11-13)
* The lines with count number being NA are removed when add_phenology() is used - 2026.2.25 (2026-02-25)
* Add option in plot.objects == "MCMC.SD") in plot.phenology() - 2026.2.28 (2026-02-28)
* Minor change in Description of fitCF() - 2026.3.19 (2026-03-19)
* Can use resultMCMC for result="prob" in plot.ECFOCF() - 2026.3.20 (2026-03-20)
* Amelioration of plot.ECFOCF() - 2026.3.23 (2026-03-23)
* Amelioration of plot.ECFOCF(): can plot probabilities without SE - 2026.4.1 (2026-04-01)
* Minor change in plot.ECFOCF() - 2026.4.3 (2026-04-03)
* Example in Sea_Turtles_Bayesian() - 2026.4.6 (2026-04-06)
* Bug correction in CI.RMU - 2026.4.8 (2026-04-08)
* method being NULL in fitRMU() returns the likelihood - 2026.4.9 (2026-04-09)
* phenology_MHmcmc_p() now can use parameters Phi3 to Tau3 and multimodes phenology - 2026.4.19 (2026-04-19)
* Prevent a warning in daily_count() - 2026.5.14 (2026-05-14)
* Periodic pattern can be used with bimodality - 2026.5.14 (2026-05-14)
* Acceleration of fit_phenology() - 2026.5.15 (2026-05-15)
* Likelihood_phenology() uses correctly method_Snbinom - 2026.5.18 (2026-05-18)
* If Max is negative, converts it to abs() - 2026.5.18 (2026-05-18)
* Periodic parameters can be series-specific - 2026.5.23 (2026-05-23)
* .daily_counts() and .format_par() have been completly rewritten for phenology analysis - 2026.5.24 (2026-05-24)
* It is possible to plot just the observations after add_phenology() - 2026.5.26 (2026-05-26)
* Correction of error introduced in .daily_counts() in 2026.5.24 version - 2026.8.17 (2026-08-17)
* Change the .Names into names - 2026.8.17 (2026-08-17)

            CHANGES IN VERSION 2025.11.12 (2025-11-12)

* New CRAN version - 10.3 (2025-06-16)
* Update CI.RMU() to use RandomFromHessianOrMCMC() from HelpersMG package - 10.3.1 (2025-08-29)
* New numerotation of package version using date - 2029.09.18 (2025-09-18)
* Correct a bug when PMinB or PMinE are used - 2025.11.12 (2025-11-12)
* Update for R 4.5.2 that change the way dates can be added - 2025.11.12 (2025-11-12)

            CHANGES IN VERSION 10.2.4 (2025-06-11)

* Add function RI2BP() - 10.2 (2024-09-08)
* Correct example of fit_phenology() - 10.2.1 (2025-02-06)
* Add WAIC for mcmcPhenology() - 10.2.2 (2025-03-06)
* Give some information about mc.cores for fit.phenology() - 10.2.3 (2025-04-09)
* New parameter save.all for summary.phenology() to save all replicates estimates - 10.2.4 (2025-04-17)

            CHANGES IN VERSION 10.1 (2024-08-23)

* New CRAN version - 10.1 (2024-08-23)

            CHANGES IN VERSION 9.1.2-10.0.3 (2023-11-05)
            
* New CRAN version - 9.1 (2023-10-16)
* Add season parameter in summary.phenology() - 9.1.1 (2023-11-03)
* Add season parameter in plot.phenology() - 9.1.2 (2023-11-05)
* Possibility to implement a detection probability model in phenology - 10.0 (2023-11-21)
* Check if some series in phenology have names that can be confound, for example beach and beach1 can be considered the same in some situations - 10.0.2 (2024-7-4)
* In a phenology, if A is not NA, the observed data is excluded from summary - 10.0.3 (2024-7-4)

            CHANGES IN VERSION 9.0.14 (2023-10-11)
            
* New CRAN version - 9.0 (2023-04-01)
* better management of errors in phenology_MHmcmc_p() - 9.0.1 (2023-04-28)
* Can use multiple peaks - 9.0.2 (2023-05-10)
* Possible to manipulate parameters using model_before within fit_phenology - 9.0.3-9.0.5 (2023-05-24)
* MinB, MinE, Min, PMin, PMinB, and PMinE can have .x sub-parameters - 9.0.6 (2023-06-01)
* Saddlepoint approximation of sum of negative binomial is used if more than 5 days are summed - 9.0.7 (2023-07-13)
* Possible to control the approximation of sum of negative binomial in fit_phenology - 9.0.8 (2023-07-21)
* normalize = FALSE for pSnbinom - 9.0.9 (2023-07-31)
* If NaN is returned by pSnegbin in .Lnegbin, it will returned 1E9 - 9.0.10 (2023-08-05)
* If the value in the column CountType is a number, it is used as a maximum number - 9.0.11 (2023-08-07)
* Solve a problem with map_phenology() - 9.0.12 (2023-08-20)
* Solve a problem with result_Gratiot1 and result_Gratiot2 - 9.0.13 (2023-10-04)
* Solve a problem with colnames in add_phenology - 9.0.14 (2023-10-11)

            CHANGES IN VERSION 8.0.6 (2023-03-22)
            
* New CRAN version - 8.0 (2022-12-12)
* New model to use a minimum observed number - 8.0 (2022-12-12)
* The Zero Counts model applies now at the level of daily counts, not automatically to the entire timeseries. 
It is a big change that makes previous formated datasets no more compatible with this version - 8.0 (2022-12-13)
* Minor change in .Lnegbin - 8.0.1 (2022-12-29)
* .Lnegbin uses furman, Vellaisamy&Upadhye or approximate.negativebinomial method adaptively for Snbinom to prevent overflow - 8.0.2 (2022-12-29)
* Correction of examples in fit_phenology() - 8.0.3 (2022-12-29)
* silent parameters from fit_phenology() is used also for SEfromHessian() in the function - 8.0.4 (2023-01-08)
* Prevent error when theta is very large - 8.0.5 (2023-03-10)
* Hessian is FALSE by default in fit_phenology() - 8.0.6 (2023-03-20)
* Change the default parameters for phenology_MHmcmc() - 8.0.6 (2023-03-20)
* Restore functional shiny version - 8.0.7 (2023-04-01)

            CHANGES IN VERSION 7.9 (2022-09-06)
            
* New CRAN version - 7.9 (2022-09-06)

            CHANGES IN VERSION 7.8-4 (2022-09-06)
            
* Show intermediate fitted values in fit_phenology() - 7.8-1 (2022-08-22)
* Customized probs values in CI.RMU - 7.8-3 (2022-09-06)

            CHANGES IN VERSION 7.8 (2022-07-14)
            
* New CRAN version - 7.6 (2020-10-22)
* Minor changes in the documentation - 7.6-1 (2020-12-14)
* Tagloss_format() cleans data before to format them - 7.6-2 (2020-12-14)
* New function Tagloss_mcmc_p() - 7.6-3 (2020-12-18)
* Minor changes in Tagloss_model - 7.6-4 (2020-12-21)
* Growlnotify option is removed - 7.6-5 (2021-01-13)
* par_init() is compatible with convolution method- 7.6-6 (2021-01-13)
* Solve a rare case when Theta converges to 0 - 7.7-1 (2021-01-20)
* Use the new parameter method for RandomFromHessianOrMCMC - 7.7-2 (2021-01-26)
* Prevent a warning in CI.RMU - 7.7-3 (2021-03-12)
* Correct a bug in plot.fitRMU - 7.7-3 (2021-03-12)
* New MCMC functions for fitCF - 7.7-4 (2021-03-19)
* Correct a bug in CI.RMU - 7.7-5 & 7.7-6 (2021-03-23)
* More precisions in Description of fitCF() - 7.7-7 (2021-03-24)
* Minor change in fitCF() - 7.7-8 (2021-03-27)
* Parallel version of OCFECF_f() for windows - 7.7-9 (2021-03-27)
* Minor change for OCFECF_f() for windows - 7.7-10-7.7.12 (2021-03-31)
* Prevent a warning in OCFECF_f() and lnCF() - 7.7-13 (2021-04-01)
* New function generateCF() - 7.7-14 & 7.7-15 (2021-04-21)
* Tagloss_model() can use mcmc and Hessian - 7.7-16 (2021-04-23)
* Parameter_Global_Year() corrects names f series if they have _ - 7.7-17 (2021-04-26)
* Add phenology logo - 7.7-18 (2021-05-01)
* Add names.legend, col and border parameters in plot.fitRMU - 7.7-19 (2021-06-22)
* Correct CI.RMU if some years are missing - 7.7-20 (2021-06-23)
* New parametrization for phenology based on Omeyer et al. In prep - 7.7-25 (2021-09-02)
* Minor change in the documentation of fitRMU() - 7.7-29 (2021-09-14)
* Minor change in the documentation of add_phenology() - 7.7-30 (2021-10-15)
* Minor change in format_par() to take into account strange name of beach - 7.7-32 (2021-11-01)
* Named vector for zero_counts in fit_phenology() is possible - 7.7-41 (2021-11-03)
* If method is NULL in fitRMU(), the initial parameters is returned - 7.7-42 (2021-11-06)
* fitRMU uses optim and no more optimx - 7.7-43 (2021-11-06)
* summary.phenology() returns also the sum of series - 7.7-46 (2021-11-16)
* New option for add_phenology(): check.overlapping.dates - 7.7-53 (2022-01-18)
* New option for fit_phenology(): stop.fit - 7.7-57 (2022-01-28)
* Minor change in summary.phenology() - 7.7-59 (2022-01-29)
* Forking=FALSE is used for Lnegbin due to a bug in Rstudio - 7.7-65 (2022-02-01)
* options are used to tell to fit_phenology() and map_phenology() how to use parallel computing - 7.7-68 (2022-02-02)
* Bug correction in rare case in fit_phenology() - 7.7-71 (2022-02-06)
* Minor change in plot.IP - 7.7-76 (2022-02-19)
* Prevent an error when meanECF is very small in IPFit() - 7.7-78 (2022-02-20)
* New url to update the package before to be uploaded to CRAN - 7.7-80 (2022-02-24)
* Minor change for dunif prior in fitRMU_MHmcmc_p - 7.7-82 (2022-03-25)
* Minor change in plot.ECFOCF() that can use resultMCMC for CF plot - 7.7-108 (2022-03-26)
* dgamma can be used as predefined density for fitRMU_MHmcmc_p() - 7.7-114 (2022-04-09)
* Better managment of classes in the package - 7.7-120 (2022-04-09)
* plot.fitRMU with proportions of numbers can use replicate.CI and then use median - 7.7-121 (2022-04-24)
* New function ExponentialRegression() - 7.7-127 (2022-05-03)

            CHANGES IN VERSION 7.5.25 (2020-09-05)

* New parameter max.scale for plot.TableECFOCF() - (2019-02-05)
* New function Tagloss_mcmc() for Bayesian analysis of tag loss rate - 7.3.2 (2019-02-19)
* New set of functions of remigration interval - 7.4 (2019-03-09)
* peak_2018 will be applied to series XX2018 and XY2018 - 7.4.1 (2019-05-07)
* Bug correction in fitRMU_MHmcmc_p() - 7.4.2 (2019-06-10)
* New model for the proportions of fitRMU() - 7.4.3 (2019-06-11)
* Modification of the first and second order probability of fitRMU() - 7.4.4 & 7.4.5 (2019-06-25)
* add_phenology() can use recursively sep.dates parameter - 7.4.6 (2019-08-14)
* solve a problem with fit_phenology() in parallel in windows - 7.4.7 (2019-08-14)
* Add parameters for column names to be used in add_phenology() - 7.4.7 (2019-08-14)
* Simplification of add_phenology() - 7.4.8 (2019-08-15)
* Series with 0 observations are not included by add_phenology() - 7.4.9 (2019-08-15)
* Better description of format errors in add_phenology() - 7.4.10 (2019-08-16)
* previous can be NULL when using add_phenology() - 7.4.11 (2019-08-17)
* If likelihood change is lower than 1e-6, fit_phenology() stops - 7.4.12 (2019-08-19)
* traceML parameter in phenology_MHmcmc(), Tagloss_mcmc, and fitRMU_MHmcmc - 7.4.13 & 7.4.14 (2019-08-20)
* Solve a problem in fit_phenology() that prevents ending - 7.4.15 (2019-08-21)
* Brent method can be used in fit_phenology() - 7.4.16 (2019-08-26)
* Plot.phenology() works without SE being estimated - 7.4.17 (2019-08-28)
* Correct y-axis if only range of dates are available in plot.phenology() - 7.4.18 (2019-08-28)
* fitRMU() is more rapid - 7.4.19 (2019-09-03)
* Minor correction in phenology_MHmcmc_p() - 7.4.20 (2019-09-04)
* Better prediction of priors in phenology_MHmcmc_p() - 7.4.21 (2019-09-10)
* New parameter default.density in phenology_MHmcmc_p() - 7.4.22 (2019-09-12)
* New parameter expandRange0Observation in add_phenology() - 7.4.23 (2019-09-13)
* Series with 0 observation can be used directly in phenology_MHmcmc_p() - 7.4.24 (2019-09-17)
* New function phenology2fitRMU() - 7.4.25 (2019-09-18)
* summary.phenology() returns also variance and mean for ML and MCMC - 7.4.26 (2019-09-20)
* New column density in RMU.names parameter of fitRMU() - 7.4.26 (2019-09-20)
* Possibility to use gamma distribution in fitRMU() - 7.4.26 (2019-09-20)
* Confidence interval can be shown in painted polygon in plot.phenology() - 7.4.26 (2019-09-20)
* New parameter limit.sd in phenology2fitRMU()- 7.4.27 (2019-09-23)
* Names of series can have the separator of year in their name in phenology2fitRMU()- 7.4.28 (2019-10-01)
* print.phenologyout() shows all the series - 7.4.29 (2019-10-01)
* Remove - character from beach name as it makes interference with fitRMU() - 7.4.30 (2019-10-02)
* Require HelpersMG >=3.8 for a better control of xSnbbinom() - 7.5 (2019-10-06)
* New function Parameter_Global_Year() to change parameters for phenology analysis - 7.5 (2019-10-07)
* New function fixed.parameters0() - 7.5 (2019-10-12)
* Optimization of .Lnegbin() by using .dialy_count() less often - 7.5 (2019-10-15)
* Only convolution method in fit_phenology() is maintained - 7.5 (2019-10-15)
* New function CI.RMU() - 7.5 (2019-10-17)
* plot.fitRMU() completely changed - 7.5 (2019-10-17)
* fitRMU() can use unusual parameter names - 7.5 (2019-10-20)
* New model.SD in fitRMU() being "rookery.proportional" - 7.5.1 (2019-10-27) 
* CI.RMU() is much faster - 7.5.1 (2019-10-27)
* Shiny version is corrected to be used with new add_phenology() function - 7.5.1 (2019-10-27)
* Bug in CI.RMU() for replicate = 1 - 7.5.2 (2019-10-30)
* Prevent some cases with theta = 0 - 7.5.3 (2019-11-05)
* Cosmetic change in add_phenology() -  7.5.4 (2019-11-08)
* phenology2fitRMU() without sd works correctly -  7.5.5 (2019-11-10)
* Print phenology is possible with old fit (v. < 6) - 7.5.6 7.5.7 (2019-11-14)
* Minor change in CI.RMU - 7.5.8 (2019-11-28)
* Solve a case when some years have no information for year-specific in CI.RMU() - 7.5.9 (2019-12-23)
* Fit continues if likelihood changed a lot in fitRMU - 7.5.10 (2019-12-24)
* Correct a bug in fitRMU() for exponential when all years are not present - 7.5.11 (2019-12-26)
* fitRMU_MHmcmc_p() works with new fitRMU() model - 7.5.12 (2020-01-01)
* Years without data are not shown in plot.fitRMU() with what="Total" - 7.5.13 (2020-01-02)
* Estimate of likelihood for phenology model is faster - 7.5.14 (2020-05-15)
* phenology2fitRMU() is more fexible - 7.5.15 (2020-05-18)
* Correct a bug in fitRMU() - 7.5.16 (2020-05-18)
* Estimate of likelihood for phenology model is more accurate - 7.5.17 (2020-05-18)
* Minor change in CI.RMU() - 7.5.18 (2020-05-20)
* Summary and plot can use flat hessian - 7.5.19 (2020-05-22)
* Two kinds of cofactors can be used in fit_phenology() - 7.5.20 (2020-05-24)
* Big changes in summary.phenology() - 7.5.21 (2020-05-25)
  Note that sd# and se# (standard errors for fixed parameters) are not working
* map_phenology is parallelized - 7.5.22 & 7.5.23 (2020-06-03)
* Change introduced in as.numeric in R 4.0.0 - 7.5.24 (2020-06-27)
* Change in .Lnegbin to prevent NA output when NA is present in input data - 7.5.25 (2020-08-14)

            CHANGES IN VERSION 7.2 (2019-01-04)

* New version in CRAN - 7.2 (2018-09-25)
* Solve an error if detectcores returns NA ou NULL - 7.2.1 (2018-10-12)
* Solve a problem when lnCF() returns Inf - 7.2.2 (2018-10-24)
* Solve a problem with multicores computers in ECFOCF_f() - 7.2.3 (2018-10-24)
* xaxt parameter can be used for plot.ECFOCF with result="prob" - 7.2.4 (2018-10-30)
* fixed.parameters beginning by se# (no more sd#) are used in summary() and plot() - 7.2.5 (2018-11-03)
* New parameter method for fit_phenology() - 7.2.5 (2018-11-03)
* Solve a rare problem in fitRMU() when the number for one year is null - 7.2.6 (2018-11-14)
* Possible to set a bimodal nesting season in fit_phenology() - 7.2.7 (2018-11-14)
* A new function to plot the formated tagloss data - 7.2.8 (2018-12-11)
* tagloss_daymax() can return max (default), min, mean, all the number of days individuals have been followed - 7.2.9 (2018-12-13)
* New function Tagloss_cumul() to estimate cumulative daily tag-loss rate - 7.2.9 (2018-12-17)
* Rivalan et al 2005 and Casale et al 2017 model can be used for tagloss modeling - 7.2.10 (2018-12-18)

            CHANGES IN VERSION 7.1 (2018-07-10)

* New set of functions for Internesting Periods for marine turtles - 7.1
* Minor change in .Lnegbin to prevent rare case when probabilities are too small - 7.1
* fitRMU() accept null SD for a beach - 7.1
* Takes into account Cauchy-Schwartz inequality to estimate SD in fitRMU - 7.1
* It is possible to not indicate SE of nesting season counts in fitRMU - 7.1
* A proportional model for SD is possible for fitRMU - 7.1
* Solve a rare warning in plot.phenology - 7.1
* Lnegbin can be run without parallel computing (sometimes parallel computing is slower than normal computing) - 7.1.1 (2018-08-03)
* lower and upper bounds for parameters can be set up in fit_phenology() - 7.1.1 (2018-08-03)
* L-BFGS-B rather than BFGS is used for fitting in fit_phenology() - 7.1.1 (2018-08-03)
* It is possible to save all the progress of fit with fit_phenology() - 7.1.2 (2018-08-03)
* Better organization of list for intermediate save in fit_phenology() - 7.1.3 (2018-08-05)
* fixed.parameters beginning by sd# are used in summary() and plot() - 7.1.4 (2018-09-24)

            CHANGES IN VERSION 7.0.4 (2018-04-25)

* New set of functions for Clutch Frequency for marine turtles - 7.0
* Minor change in par_init() - 7.0.1
* Force PMinE et PMinB to be positive - 7.0.1
* New non-parameteric model for CF - 7.0.2
* New parameter show.scale for plot.ECFOCF() - 7.0.3
* New attribute final in TableOCFECF - 7.0.4

            CHANGES IN VERSION 6.0-6.0.3  (2017-10-17)

* New set of functions for Tagloss - 6.0
* Correct a bug in add_phenology() when a list is used to enter new data - 6.0
* Confidence interval for Peak_Series, Length_Series are shown - 6.0
* Minor change in Tagloss - 6.0
* New option "cumul" to plot tagloss result - 6.0
* Simplification to specify partial models in tagloss - 6.0
* If N20 == 0, does not produce an error - 6.0
* Random distribution of individuals in groups send in cores for parallel computing - 6.0
* Minor change in Tagloss_L - 6.0.1
* New function loglik for Tagloss - 6.0.2
* Correct examples - 6.0.3

            CHANGES IN VERSION 5.5  (2017-05-14)

* Use of SEfromHessian - 5.5

            CHANGES IN VERSION 5.4.1  (2017-04-07)

* New version for CRAN - 5.4
* phenology() is compatible with shiny 1.0.1 - 5.4.1

            CHANGES IN VERSION 5.3.15  (2017-03-03)

* New version for CRAN - 5.3
* par_init() better handle PMin - 5.3.1
* New function AutoFitPhenology() - 5.3.2
* Parallel computing in windows - 5.3.3
* Adaptive mcmc - 5.3.3
* Correction of parallel computing in windows - 5.3.4-5.3.5
* parametersfixed is renammed fixed.parameters in fit_phenology(), par_init() and plot.phenology() - 5.3.6
* parametersfit is renammed fitted.parameters in fit_phenology() - 5.3.6
* Plot is renammed show.plot in plot.phenology() - 5.3.6
* summary() returns an estimate of global nesting if mcmc object is indicated - 5.3.7
* summary() returns the details day by day of quantiles -5.3.8
* plot() can plot now the result of a mcmc object as quantiles - 5.3.8
* Correct diverse bugs in phenology_MHmcmc() and map_phenology() - 5.3.9
* summary.phenology() and plot.phenology() rewritten from scratch - 5.3.10
* summary.phenology() uses matrix of variances-covariances for confidence interval - 5.3.10
* fit_phenology() uses optimx() - 5.3.11
* web version updated - 5.3.12
* Remove dependency to zoo package but add optimx and numDeriv - 5.3.12
* Change the function to estimate random number with vcov using lmf package - 5.3.13
* summary.phenologyout() is more complete - 5.3.14
* autfitphenology() can be used again - 5.3.15

            CHANGES IN VERSION 5.2.1-5.2.5  (2016-08-15)

* New version of shiny phenology() - 5.2.1
* New version of shiny phenology() - 5.2.2
* New parameter plot=TRUE for plot.phenology() - 5.2.2
* Restore shiny version within the package - 5.2.3
* Multilanguage version of phenology() - 5.2.4
* Spanish version of phenology() - 5.2.5

            CHANGES IN VERSION 5.2  (2016-07-17)

* Correction for likelihod_phenology() - 5.1.1
* Estimation of likelihoods for different beaches is ran in parallel - 5.1.1
* Can add a list read using read_folder() - 5.1.2
* phenology() function works again - 5.1.3
* plot.phenologymap() plot only one heat map - 5.1.4
* plot_phi() and plot_delta() are more flexible - 5.1.4
* Moon is not shown if xlim is used for plot.phenology() - 5.1.4
* Shiny application phenology() is better handeld - 5.2

            CHANGES IN VERSION 5.1  (2016-05-02)

* Minor changes in documentation

            CHANGES IN VERSION 5.0.3  (2016-04-09)

* Add cofactors for daily effects in fit_phenology() - 5.0.0
* method_incertitude are changed to 'convolution' or 'combinatory' - 5.0.0
* Correct a bug for cofactor analysis - 5.0.1
* Minor change in the output of plot() - 5.0.2
* Add a zero parameter for fit_phenology() - 5.0.3
* Bug correction for for cofactor analysis - 5.0.3

            CHANGES IN VERSION 4.4-4.4.1  (2016-01-13)

* The "sum" method_incertitude uses an exact method for the negative binomial distribution
* The "binomial" method has been removed
* Optimisation of the function .Lnegbin to be more rapid and to return also the likelihood of each observation
* Require package HelpersMG version higher or equal than 1.3.4

            CHANGES IN VERSION 4.3.1-4.3.6  (2015-12-09)

* Object returns from MHmcmc has the correct class mcmcComposite - 4.3.1
* Bisextile years are possible - 4.3.2
* Theta can be a fixed parameter - 4.3.3
* se for some parameters can be indicated manually in plot - 4.3.4
* Better gestion of bisextil years in plot - 4.3.4
* se indicated manually in plot replaced the previous ones if they exist - 4.3.5
* plot.ftiRMU has a new parameter to change the order of series - 4.3.5
* fit_phenology can produce positive likelihood without error - 4.3.6
* correct a bug introduced in 4.3.5 for se managment - 4.3.6
* print.phenologyout() can show data with very small se - 4.3.6

            CHANGES IN VERSION 4.3  (2015-07-29)

* Minor changes in fitRMU() and bugs corrections

            CHANGES IN VERSION 4.2.3-4.2.4  (2015-06-29)
            
* New models for fitRMU()
* New functions plot.fitRMU(), logLik.fitRMU(), fitRMU_MHmcmc_p() and fitRMU_MHmcmc()
* Test if names of timeseries has a _ character and change it with a warning
* phenology_MHmcmc_p() returns a data.frame and no more a matrix
* The lastest version can always been installed using:
    install.packages("http://www.ese.u-psud.fr/epc/conservation/CRAN/phenology.tar.gz", repos=NULL, type="source")
* Require package HelpersMG version higher or equal than 1.2

            CHANGES IN VERSION 4.2    (2015-05-09)
            
* New function fitRMU()
* Correct add_phenology() description
* Correct a bug if no fixed parameter is included

            CHANGES IN VERSION 4.1    (2015-04-08)

* growlnotify(), MHalgoGen(), as.mcmc.mcmcComposite(), as.par.mcmcComposite(), summary.mcmcComposite(), plot.mcmcComposite(), plot_add(), ScalePreviousPlot(), plot_errbar(), ChangeCoordinate(), barplot_errbar(), chr(), asc(), ind_long_lat(), getTide(), clean.knitr(), local.search(), map.scale2(), compassRose2(), convert.tz(), insidesearch(), moon_phase(), compare_AIC(), read_folder() are transfered into new package HelpersMG
* Desription conforms to new CRAN specification

            CHANGES IN VERSION 4.0.5    (2015-02-15)
            
* Better managment of hidden function .MHalgoGen for very long MCMC profiling.
* Prevent an error in MCMC search when likelihood cannot be estimated.
* convert.tz(x, ) return an object of the same class than x.
* Length_ and Peak_ parameters can be series-specific.

            CHANGES IN VERSION 4.0.4    (2015-01-29)
            
* The hidden function .MHalgoGen has three new parameters for very long MCMC profiling to resume search for computer crash.
* Correct a bug for add_phenology() when month_ref is indicated
* Correct a cosmetic bug in print.phenologyout()
* Length parameter can now be associated with a beach
* New function insidesearch() to search for a string in files within a folder

            CHANGES IN VERSION 4.0    (2014-10-05)
            
* Remove phenology-swot() and keep only phenology() for web application
* Function convert.ts() renamed convert.tz()
* New tests for add_phenology()
* The parameter trace for mcmc can take an integer value to tell how many intermediate results must be shown
* Simplification of ind_lat_lon()

            CHANGES IN VERSION 3.71-3.72    (2014-08-24)

* Breaks for plot mcmc objects with uniform distribution use min and max as limits
* New parameter to help scaling prior vs posterior in plot mcmc objects
* Better examples for MCMC
* phenology_MHmcmc_p() check is initial values are out of range
* Correct bug for phenology_MHmcmc_p() with pMin, pMinE, pMinB
* Correct bug for ind_long_lat() using indices
* New way to use RNetCDF and XML packages which are only suggested
* New function convert.ts() to convert POSIXlt or POSIXct date-time from one timezone to an other

            CHANGES IN VERSION 3.70    (2014-07-07)

* Correct of bug in toggle_Min_PMin()

            CHANGES IN VERSION 3.69    (2014-06-21)

* New function map.scale2() and compassRose2() to change the colors of text and lines

            CHANGES IN VERSION 3.66-3.68    (2014-06-04)

* New function clean.knitr() to clean folder after knitr compile
* New function local.search() to search a file on local disk
* XML package is no more required but suggested
* New function logLik() for phenology class

            CHANGES IN VERSION 3.64-3.65    (2014-04-27)
            
* Add compatibility of ind_lat_lon() with RNetCDF package
* Change in ind_lat_lon() to make it more general

            CHANGES IN VERSION 3.63    (2014-04-06)
            
* Correct two bugs in function getTide() (when levels are negative and when system cannot use utf-8)
* add_phenology() now keeps the name of timeseries added
* New parameter silent=TRUE/FALSE for add_phenology()

            CHANGES IN VERSION 3.61-3.62    (2014-03-14)
            
* New function getTide()
* Shiny server

            CHANGES IN VERSION 3.60    (2014-03-08)
            
* New parameter in function ind_long_lat() to give the explicit name of longitude and latitude in ncdf file. Defaults are "lon" and "lat". Correction of bug.
* New shiny server (experimental)

            CHANGES IN VERSION 3.59    (2014-02-26)
            
* Remove dependency to ncdf4 package and make function ind_long_lat() compatible also with RNetCDF and ncdf packages

            CHANGES IN VERSION 3.57    (2014-02-23)
            
* Parameter folder of function read_folder() accept or a file or a folder
* New parameter wildcard for function read_folder()

            CHANGES IN VERSION 3.56    (2013-12-09)
            
* new function ind_long_lat()

            CHANGES IN VERSION 3.55    (2013-11-21)
            
* New function MinBMinE_to_Min()
* new parameter growlnotify for fit_phenology and plot.phenology
* correcton of a bug to prevent PMinE to become negatif

            CHANGES IN VERSION 3.53-3.54    (2013-10-23)
            
* New functions asc() and chr() to manipulate UTF-8 codes
* Function ScalePreviousPlot() returns also the range, the center and the position of labels

            CHANGES IN VERSION 3.52    (2013-08-05)
            
* New function used to toggle between Min and PMin parameters
* new parameter legend=TRUE for plot.mcmcComposite()

            CHANGES IN VERSION 3.51    (2013-07-10)
            
* New version of the update check at startup

            CHANGES IN VERSION 3.50    (2013-07-10)
            
* Correct a bug for scale of prior in plot.mcmcComposite()
* If prior is uniform, changed the scale to show all prior
* Parameters x.plus, x.minus, y.plus, and y.minus in plot_errbar to define absolut position of ends of error bars.
* Minor change in print.phenologyout()
* Add add=FALSE parameter to plot_errbar()
* New function barplot_errbar()

            CHANGES IN VERSION 3.49    (2013-06-23)

* Minor change in add_phenology()
* New function plot_add()
* New function ScalePreviousPlot()
* New function plot_errbar()
* New function ChangeCoordinate()


            CHANGES IN VERSION 3.47    (2013-06-03)
            
* New format of examples to be compatible with R 3.10

            CHANGES IN VERSION 3.46    (2013-04-08)
            
* New parameter accept for phenology_MHmcmc_p() to run the function in batch mode
* Correct the resolution for prior curve in plot()

            CHANGES IN VERSION 3.45    (2013-02-23)
            
* Correction for onAttach() to allow the package to load if internet is present but does not anwser as expected.
* compare_AIC() can use list of several object and then the AIC is summed.
* New functions as.mcmc.Composite() and as.par.mcmcComposite().
* compare_AIC() shows only 3 digits.
* compare_AIC() can uses list object summarizing data.


            CHANGES IN VERSION 3.44    (2013-01-28)
            
* add parameter progressbar = TRUE/FALSE for plot and map_phenology() to be used with Sweave
* plot_phenology() and plot_map() removed
* correct a bug when xlim or ylim were used with plot.phenology()
* remove the pdf option for plot.phenology
* correction of bug in the .MHalgoGen() function
* correct a display bug for maximum likelihood in map_phenology()

            CHANGES IN VERSION 3.42-3.43    (2013-01-02)
            
* first likelihood is stored in mcmcComposite
* check for update at load time
* compare_AIC() can use any list with elements named AIC or aic
* better managment of options for plot
* New funtions L_to_LBLE() and LBLE_to_L()
* add_format() has been renamed as add_phenology()
* add_phenology() and fit_phenology() by default opens a box to choose a file and try to read the file directly
* better managment for file reading in phenology_swot()
* if fit_phenology() is executed without formated data or parameterfit, it runs add_phenology() or par_init() first.
* phenology() stores data in phenology environment.

            CHANGES IN VERSION 3.41    (2012-11-25)
            
* add function phenology_swot() for rapid fit of nesting season
* if standard error of parameters is not available, produce NA for SE of nest counts rather than 0

            CHANGES IN VERSION 3.40    (2012-10-06)

* add Bayesian analysis

            CHANGES IN VERSION 3.36    (2012-07-22)

* change the function compare_AIC() to be used also with package embryogrowth

            CHANGES IN VERSION 3.35    (2012-06-06)

* new function adapt_parameters to extract only the useful parameters form a set
* the output from a plot can be used with several timeseries analyzed at the same time
* add a new class: phenologyout that is created by plot_phenology
* add the print.phenologyout and summary.phenologyout function
* the moons are now displayed at the top of the graph, not superimposed

            CHANGES IN VERSION 3.34    (2012-05-31)

* remove the use of the phenology.env environment

            CHANGES IN VERSION 3.33    (2012-05-31)

* internal changes

            CHANGES IN VERSION 3.32    (2012-05-23)

* new option for add_format: adjust_ref=TRUE
* change on the way that Begin, Peak and End are calculated within par_init

            CHANGES IN VERSION 3.31    (2012-05-14)

* internal change to get no warnings during build

            CHANGES IN VERSION 3.30    (2012-05-13)

* create two new classes: phenology and phenologymap
* create the plot, print, summary methods for these new classes
* it is possible to add several datasets at one time with add=list(d1, d2, d3)
* for add_format, it is possible to add several format for date with format = c("%d/%m/%Y", "%d/%m/%y"). All formats are tested.
* added function read_folder() to open all files from a folder and create a list to be used with add_format function
* correct an error for the outputs of plot_phenology with several series
* the main calendar dates for each series are shown at the end of the fit
* these dates are stored in the result under the name $Dates

            CHANGES IN VERSION 3.29    (2012-04-09)

* added function moon_phase()
* added moon=FALSE parameter for fit_phenology()
* added moon=TRUE for examples of shift_sinusoid()
* plot_phenology() return a list of lists with the outputs
* added function compare_AIC()


